---
title: BudgetService.reserve()
slug: Web/API/BudgetService/reserve
tags:
  - API
  - BudgetService
  - Method
  - Reference
  - Web Budget API
  - reserve
---
<p>{{APIRef("Web Budget API")}}{{SeeCompatTable}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <strong><code>reserve()</code></strong> property of the {{domxref("BudgetService")}} interface returns a {{domxref("Promise")}} that resolves to a boolean indicating whether the requested budget operation can be reserved.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var aPromise = BudgetService.reserve(operation);
aPromise.then(function(boolean){ ... });</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>operation</dt>
 <dd>desc</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("Promise")}} that resolves to a boolean.</p>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.BudgetService.reserve")}}</p>
</div>
